Bug 1907459 - "The Boot source is also maintained by Red Hat." is always shown for all boot sources
Summary: "The Boot source is also maintained by Red Hat." is always shown for all boot...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Console Kubevirt Plugin
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.7.0
Assignee: Gilad Lekner
QA Contact: Guohua Ouyang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-14 14:50 UTC by Tomas Jelinek
Modified: 2021-02-24 15:43 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:43:41 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7588 0 None closed Bug 1907459: The Boot source is also maintained by Red Hat. is always shown 2021-01-19 09:39:41 UTC
Github openshift console pull 7708 0 None closed Bug 1907459: The Boot source is also maintained by Red Hat. is always shown for all boot sources 2021-01-19 09:39:41 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:43:59 UTC

Description Tomas Jelinek 2020-12-14 14:50:22 UTC
Description of problem:
If I have a template to which I provide a boot source, the developer catalog will anyway say: The Boot source is also maintained by Red Hat.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. in Admin perspective add a boot source to a template and set the "Source provider" to "My Company"
2. in the Devel perspective, +add screen pick this template
3. The flyout will say: "This template is Provided by Red Hat. The Boot source is also maintained by Red Hat."

Actual results:
The flyout says "This template is Provided by Red Hat. The Boot source is also maintained by Red Hat."

Expected results:
It should say something like: "This template is Provided by Red Hat. The Boot source is maintained by My Company."

Additional info:

Comment 1 Matt 2020-12-16 15:23:28 UTC
On the admin side the boot source is Defined not maintained. We want to be careful about using the word maintained I believe. I agree with the expected result though if we say "This template is provided by Red Hat. The boot source is defined by My Company."

Comment 4 Guohua Ouyang 2021-01-04 02:31:41 UTC
Failed to verify this on ocp 4.7.
Add a source provider 'my compnay' to template, it still use the template provider not the source provider, it display something like `This template's boot source is defined by KubeVirt`.

Comment 5 Matt 2021-01-04 17:39:22 UTC
@glekner@redhat.com is working on this I believe.

Comment 7 Guohua Ouyang 2021-01-07 04:39:10 UTC
It shows "This template's boot source is defined by my company" now.

Comment 8 Gilad Lekner 2021-01-19 09:39:29 UTC
clearing redundant need info

Comment 12 errata-xmlrpc 2021-02-24 15:43:41 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.